--vmp3 by mrafenne
 

 
mov1 = 0
mov2 = 0

function nomvis1()
mov2 = 0
if preiw == "fasle" and next == "fasle" then
if mov1 <= 251 and mov1 >= 0 then
mov1 = mov1 +8
end
end
end


statut = "defaut"
while true do
screen:clear()

if pad:circle() then
statut = "affiche"
end

if statut == "affiche" then
nomvis1() 
screen:fillRect(40,mov1,400,1,white)
screen:fillRect(40,mov1,Mp3me.percent()*4,1,green)
screen:fontPrint(font,mov1+120,253,Mp3me.gettime(),green)
screen:fontPrint(font,mov1+120,270,Mp3me.songTime(),white)
screen:fontPrint(font,mov1-215,253,Mp3me.title(),white)
screen:fontPrint(font,mov1-215,270,Mp3me.album(),white)


end
if pad:square() then
statut = "defaut"
end

screen:drawLine(0,136,5,51+Mp3me.vis(0),green)
screen:drawLine(5,51+Mp3me.vis(0),10,136,green)
screen:drawLine(10,136,15,51+Mp3me.vis(5),green)
screen:drawLine(15,51+Mp3me.vis(5),20,136,green)
screen:drawLine(20,136,25,51+Mp3me.vis(10),green)
screen:drawLine(25,51+Mp3me.vis(10),30,136,green)
screen:drawLine(30,136,35,51+Mp3me.vis(15),green)
screen:drawLine(35,51+Mp3me.vis(15),40,136,green)
screen:drawLine(40,136,45,51+Mp3me.vis(20),green)
screen:drawLine(45,51+Mp3me.vis(20),50,136,green)
screen:drawLine(50,136,55,51+Mp3me.vis(25),green)
screen:drawLine(55,51+Mp3me.vis(25),60,136,green)
screen:drawLine(60,136,65,51+Mp3me.vis(30),green)
screen:drawLine(65,51+Mp3me.vis(30),70,136,green)
screen:drawLine(70,136,75,51+Mp3me.vis(35),green)
screen:drawLine(75,51+Mp3me.vis(35),80,136,green)
screen:drawLine(80,136,85,51+Mp3me.vis(40),green)
screen:drawLine(85,51+Mp3me.vis(40),90,136,green)
screen:drawLine(90,136,95,51+Mp3me.vis(45),green)
screen:drawLine(95,51+Mp3me.vis(45),100,136,green)
screen:drawLine(100,136,105,51+Mp3me.vis(50),green)
screen:drawLine(105,51+Mp3me.vis(50),110,136,green)
screen:drawLine(110,136,115,51+Mp3me.vis(55),green)
screen:drawLine(115,51+Mp3me.vis(55),120,136,green)
screen:drawLine(120,136,125,51+Mp3me.vis(60),green)
screen:drawLine(125,51+Mp3me.vis(60),130,136,green)
screen:drawLine(130,136,135,51+Mp3me.vis(65),green)
screen:drawLine(135,51+Mp3me.vis(65),140,136,green)
screen:drawLine(140,136,145,51+Mp3me.vis(70),green)
screen:drawLine(145,51+Mp3me.vis(70),150,136,green)
screen:drawLine(150,136,155,51+Mp3me.vis(75),green)
screen:drawLine(155,51+Mp3me.vis(75),160,136,green)
screen:drawLine(160,136,165,51+Mp3me.vis(80),green)
screen:drawLine(165,51+Mp3me.vis(80),170,136,green)
screen:drawLine(170,136,175,51+Mp3me.vis(85),green)
screen:drawLine(175,51+Mp3me.vis(85),180,136,green)
screen:drawLine(180,136,185,51+Mp3me.vis(90),green)
screen:drawLine(185,51+Mp3me.vis(90),190,136,green)
screen:drawLine(190,136,195,51+Mp3me.vis(95),green)
screen:drawLine(195,51+Mp3me.vis(95),200,136,green)
screen:drawLine(200,136,205,51+Mp3me.vis(100),green)
screen:drawLine(205,51+Mp3me.vis(100),210,136,green)
screen:drawLine(210,136,215,51+Mp3me.vis(105),green)
screen:drawLine(215,51+Mp3me.vis(105),220,136,green)
screen:drawLine(220,136,225,51+Mp3me.vis(110),green)
screen:drawLine(225,51+Mp3me.vis(110),230,136,green)
screen:drawLine(230,136,235,51+Mp3me.vis(115),green)
screen:drawLine(235,51+Mp3me.vis(115),240,136,green)
screen:drawLine(240,136,245,51+Mp3me.vis(120),green)
screen:drawLine(245,51+Mp3me.vis(120),250,136,green)
screen:drawLine(250,136,255,51+Mp3me.vis(125),green)
screen:drawLine(255,51+Mp3me.vis(125),260,136,green)
screen:drawLine(260,136,265,51+Mp3me.vis(130),green)
screen:drawLine(265,51+Mp3me.vis(130),270,136,green)
screen:drawLine(270,136,275,51+Mp3me.vis(135),green)
screen:drawLine(275,51+Mp3me.vis(135),280,136,green)
screen:drawLine(280,136,285,51+Mp3me.vis(140),green)
screen:drawLine(285,51+Mp3me.vis(140),290,136,green)
screen:drawLine(290,136,295,51+Mp3me.vis(145),green)
screen:drawLine(295,51+Mp3me.vis(145),300,136,green)
screen:drawLine(300,136,305,51+Mp3me.vis(150),green)
screen:drawLine(305,51+Mp3me.vis(150),310,136,green)
screen:drawLine(310,136,315,51+Mp3me.vis(155),green)
screen:drawLine(315,51+Mp3me.vis(155),320,136,green)
screen:drawLine(320,136,325,51+Mp3me.vis(160),green)
screen:drawLine(325,51+Mp3me.vis(160),330,136,green)
screen:drawLine(330,136,335,51+Mp3me.vis(165),green)
screen:drawLine(335,51+Mp3me.vis(165),340,136,green)
screen:drawLine(340,136,345,51+Mp3me.vis(170),green)
screen:drawLine(345,51+Mp3me.vis(170),350,136,green)
screen:drawLine(350,136,355,51+Mp3me.vis(175),green)
screen:drawLine(355,51+Mp3me.vis(175),360,136,green)
screen:drawLine(360,136,365,51+Mp3me.vis(180),green)
screen:drawLine(365,51+Mp3me.vis(180),370,136,green)
screen:drawLine(370,136,375,51+Mp3me.vis(185),green)
screen:drawLine(375,51+Mp3me.vis(185),380,136,green)
screen:drawLine(380,136,385,51+Mp3me.vis(190),green)
screen:drawLine(385,51+Mp3me.vis(190),390,136,green)
screen:drawLine(390,136,395,51+Mp3me.vis(195),green)
screen:drawLine(395,51+Mp3me.vis(195),400,136,green)
screen:drawLine(400,136,405,51+Mp3me.vis(200),green)
screen:drawLine(405,51+Mp3me.vis(200),410,136,green)
screen:drawLine(410,136,415,51+Mp3me.vis(205),green)
screen:drawLine(415,51+Mp3me.vis(205),420,136,green)
screen:drawLine(420,136,425,51+Mp3me.vis(210),green)
screen:drawLine(425,51+Mp3me.vis(210),430,136,green)
screen:drawLine(430,136,435,51+Mp3me.vis(215),green)
screen:drawLine(435,51+Mp3me.vis(215),440,136,green)
screen:drawLine(440,136,445,51+Mp3me.vis(220),green)
screen:drawLine(445,51+Mp3me.vis(220),450,136,green)
screen:drawLine(450,136,455,51+Mp3me.vis(225),green)
screen:drawLine(455,51+Mp3me.vis(225),460,136,green)
screen:drawLine(460,136,465,51+Mp3me.vis(230),green)
screen:drawLine(465,51+Mp3me.vis(230),470,136,green)
screen:drawLine(470,136,475,51+Mp3me.vis(235),green)
screen:drawLine(475,51+Mp3me.vis(235),480,136,green)


screen:drawLine(0,68,5,51+Mp3me.vis(0),green)
screen:drawLine(5,51+Mp3me.vis(0),10,68,green)
screen:drawLine(10,68,15,51+Mp3me.vis(5),green)
screen:drawLine(15,51+Mp3me.vis(5),20,68,green)
screen:drawLine(20,68,25,51+Mp3me.vis(10),green)
screen:drawLine(25,51+Mp3me.vis(10),30,68,green)
screen:drawLine(30,68,35,51+Mp3me.vis(15),green)
screen:drawLine(35,51+Mp3me.vis(15),40,68,green)
screen:drawLine(40,68,45,51+Mp3me.vis(20),green)
screen:drawLine(45,51+Mp3me.vis(20),50,68,green)
screen:drawLine(50,68,55,51+Mp3me.vis(25),green)
screen:drawLine(55,51+Mp3me.vis(25),60,68,green)
screen:drawLine(60,68,65,51+Mp3me.vis(30),green)
screen:drawLine(65,51+Mp3me.vis(30),70,68,green)
screen:drawLine(70,68,75,51+Mp3me.vis(35),green)
screen:drawLine(75,51+Mp3me.vis(35),80,68,green)
screen:drawLine(80,68,85,51+Mp3me.vis(40),green)
screen:drawLine(85,51+Mp3me.vis(40),90,68,green)
screen:drawLine(90,68,95,51+Mp3me.vis(45),green)
screen:drawLine(95,51+Mp3me.vis(45),100,68,green)
screen:drawLine(100,68,105,51+Mp3me.vis(50),green)
screen:drawLine(105,51+Mp3me.vis(50),110,68,green)
screen:drawLine(110,68,115,51+Mp3me.vis(55),green)
screen:drawLine(115,51+Mp3me.vis(55),120,68,green)
screen:drawLine(120,68,125,51+Mp3me.vis(60),green)
screen:drawLine(125,51+Mp3me.vis(60),130,68,green)
screen:drawLine(130,68,135,51+Mp3me.vis(65),green)
screen:drawLine(135,51+Mp3me.vis(65),140,68,green)
screen:drawLine(140,68,145,51+Mp3me.vis(70),green)
screen:drawLine(145,51+Mp3me.vis(70),150,68,green)
screen:drawLine(150,68,155,51+Mp3me.vis(75),green)
screen:drawLine(155,51+Mp3me.vis(75),160,68,green)
screen:drawLine(160,68,165,51+Mp3me.vis(80),green)
screen:drawLine(165,51+Mp3me.vis(80),170,68,green)
screen:drawLine(170,68,175,51+Mp3me.vis(85),green)
screen:drawLine(175,51+Mp3me.vis(85),180,68,green)
screen:drawLine(180,68,185,51+Mp3me.vis(90),green)
screen:drawLine(185,51+Mp3me.vis(90),190,68,green)
screen:drawLine(190,68,195,51+Mp3me.vis(95),green)
screen:drawLine(195,51+Mp3me.vis(95),200,68,green)
screen:drawLine(200,68,205,51+Mp3me.vis(100),green)
screen:drawLine(205,51+Mp3me.vis(100),210,68,green)
screen:drawLine(210,68,215,51+Mp3me.vis(105),green)
screen:drawLine(215,51+Mp3me.vis(105),220,68,green)
screen:drawLine(220,68,225,51+Mp3me.vis(110),green)
screen:drawLine(225,51+Mp3me.vis(110),230,68,green)
screen:drawLine(230,68,235,51+Mp3me.vis(115),green)
screen:drawLine(235,51+Mp3me.vis(115),240,68,green)
screen:drawLine(240,68,245,51+Mp3me.vis(120),green)
screen:drawLine(245,51+Mp3me.vis(120),250,68,green)
screen:drawLine(250,68,255,51+Mp3me.vis(125),green)
screen:drawLine(255,51+Mp3me.vis(125),260,68,green)
screen:drawLine(260,68,265,51+Mp3me.vis(130),green)
screen:drawLine(265,51+Mp3me.vis(130),270,68,green)
screen:drawLine(270,68,275,51+Mp3me.vis(135),green)
screen:drawLine(275,51+Mp3me.vis(135),280,68,green)
screen:drawLine(280,68,285,51+Mp3me.vis(140),green)
screen:drawLine(285,51+Mp3me.vis(140),290,68,green)
screen:drawLine(290,68,295,51+Mp3me.vis(145),green)
screen:drawLine(295,51+Mp3me.vis(145),300,68,green)
screen:drawLine(300,68,305,51+Mp3me.vis(150),green)
screen:drawLine(305,51+Mp3me.vis(150),310,68,green)
screen:drawLine(310,68,315,51+Mp3me.vis(155),green)
screen:drawLine(315,51+Mp3me.vis(155),320,68,green)
screen:drawLine(320,68,325,51+Mp3me.vis(160),green)
screen:drawLine(325,51+Mp3me.vis(160),330,68,green)
screen:drawLine(330,68,335,51+Mp3me.vis(165),green)
screen:drawLine(335,51+Mp3me.vis(165),340,68,green)
screen:drawLine(340,68,345,51+Mp3me.vis(170),green)
screen:drawLine(345,51+Mp3me.vis(170),350,68,green)
screen:drawLine(350,68,355,51+Mp3me.vis(175),green)
screen:drawLine(355,51+Mp3me.vis(175),360,68,green)
screen:drawLine(360,68,365,51+Mp3me.vis(180),green)
screen:drawLine(365,51+Mp3me.vis(180),370,68,green)
screen:drawLine(370,68,375,51+Mp3me.vis(185),green)
screen:drawLine(375,51+Mp3me.vis(185),380,68,green)
screen:drawLine(380,68,385,51+Mp3me.vis(190),green)
screen:drawLine(385,51+Mp3me.vis(190),390,68,green)
screen:drawLine(390,68,395,51+Mp3me.vis(195),green)
screen:drawLine(395,51+Mp3me.vis(195),400,68,green)
screen:drawLine(400,68,405,51+Mp3me.vis(200),green)
screen:drawLine(405,51+Mp3me.vis(200),410,68,green)
screen:drawLine(410,68,415,51+Mp3me.vis(205),green)
screen:drawLine(415,51+Mp3me.vis(205),420,68,green)
screen:drawLine(420,68,425,51+Mp3me.vis(210),green)
screen:drawLine(425,51+Mp3me.vis(210),430,68,green)
screen:drawLine(430,68,435,51+Mp3me.vis(215),green)
screen:drawLine(435,51+Mp3me.vis(215),440,68,green)
screen:drawLine(440,68,445,51+Mp3me.vis(220),green)
screen:drawLine(445,51+Mp3me.vis(220),450,68,green)
screen:drawLine(450,68,455,51+Mp3me.vis(225),green)
screen:drawLine(455,51+Mp3me.vis(225),460,68,green)
screen:drawLine(460,68,465,51+Mp3me.vis(230),green)
screen:drawLine(465,51+Mp3me.vis(230),470,68,green)
screen:drawLine(470,68,475,51+Mp3me.vis(235),green)
screen:drawLine(475,51+Mp3me.vis(235),480,68,green)


screen:drawLine(0,204,5,51+Mp3me.vis(0),green)
screen:drawLine(5,51+Mp3me.vis(0),10,204,green)
screen:drawLine(10,204,15,51+Mp3me.vis(5),green)
screen:drawLine(15,51+Mp3me.vis(5),20,204,green)
screen:drawLine(20,204,25,51+Mp3me.vis(10),green)
screen:drawLine(25,51+Mp3me.vis(10),30,204,green)
screen:drawLine(30,204,35,51+Mp3me.vis(15),green)
screen:drawLine(35,51+Mp3me.vis(15),40,204,green)
screen:drawLine(40,204,45,51+Mp3me.vis(20),green)
screen:drawLine(45,51+Mp3me.vis(20),50,204,green)
screen:drawLine(50,204,55,51+Mp3me.vis(25),green)
screen:drawLine(55,51+Mp3me.vis(25),60,204,green)
screen:drawLine(60,204,65,51+Mp3me.vis(30),green)
screen:drawLine(65,51+Mp3me.vis(30),70,204,green)
screen:drawLine(70,204,75,51+Mp3me.vis(35),green)
screen:drawLine(75,51+Mp3me.vis(35),80,204,green)
screen:drawLine(80,204,85,51+Mp3me.vis(40),green)
screen:drawLine(85,51+Mp3me.vis(40),90,204,green)
screen:drawLine(90,204,95,51+Mp3me.vis(45),green)
screen:drawLine(95,51+Mp3me.vis(45),100,204,green)
screen:drawLine(100,204,105,51+Mp3me.vis(50),green)
screen:drawLine(105,51+Mp3me.vis(50),110,204,green)
screen:drawLine(110,204,115,51+Mp3me.vis(55),green)
screen:drawLine(115,51+Mp3me.vis(55),120,204,green)
screen:drawLine(120,204,125,51+Mp3me.vis(60),green)
screen:drawLine(125,51+Mp3me.vis(60),130,204,green)
screen:drawLine(130,204,135,51+Mp3me.vis(65),green)
screen:drawLine(135,51+Mp3me.vis(65),140,204,green)
screen:drawLine(140,204,145,51+Mp3me.vis(70),green)
screen:drawLine(145,51+Mp3me.vis(70),150,204,green)
screen:drawLine(150,204,155,51+Mp3me.vis(75),green)
screen:drawLine(155,51+Mp3me.vis(75),160,204,green)
screen:drawLine(160,204,165,51+Mp3me.vis(80),green)
screen:drawLine(165,51+Mp3me.vis(80),170,204,green)
screen:drawLine(170,204,175,51+Mp3me.vis(85),green)
screen:drawLine(175,51+Mp3me.vis(85),180,204,green)
screen:drawLine(180,204,185,51+Mp3me.vis(90),green)
screen:drawLine(185,51+Mp3me.vis(90),190,204,green)
screen:drawLine(190,204,195,51+Mp3me.vis(95),green)
screen:drawLine(195,51+Mp3me.vis(95),200,204,green)
screen:drawLine(200,204,205,51+Mp3me.vis(100),green)
screen:drawLine(205,51+Mp3me.vis(100),210,204,green)
screen:drawLine(210,204,215,51+Mp3me.vis(105),green)
screen:drawLine(215,51+Mp3me.vis(105),220,204,green)
screen:drawLine(220,204,225,51+Mp3me.vis(110),green)
screen:drawLine(225,51+Mp3me.vis(110),230,204,green)
screen:drawLine(230,204,235,51+Mp3me.vis(115),green)
screen:drawLine(235,51+Mp3me.vis(115),240,204,green)
screen:drawLine(240,204,245,51+Mp3me.vis(120),green)
screen:drawLine(245,51+Mp3me.vis(120),250,204,green)
screen:drawLine(250,204,255,51+Mp3me.vis(125),green)
screen:drawLine(255,51+Mp3me.vis(125),260,204,green)
screen:drawLine(260,204,265,51+Mp3me.vis(130),green)
screen:drawLine(265,51+Mp3me.vis(130),270,204,green)
screen:drawLine(270,204,275,51+Mp3me.vis(135),green)
screen:drawLine(275,51+Mp3me.vis(135),280,204,green)
screen:drawLine(280,204,285,51+Mp3me.vis(140),green)
screen:drawLine(285,51+Mp3me.vis(140),290,204,green)
screen:drawLine(290,204,295,51+Mp3me.vis(145),green)
screen:drawLine(295,51+Mp3me.vis(145),300,204,green)
screen:drawLine(300,204,305,51+Mp3me.vis(150),green)
screen:drawLine(305,51+Mp3me.vis(150),310,204,green)
screen:drawLine(310,204,315,51+Mp3me.vis(155),green)
screen:drawLine(315,51+Mp3me.vis(155),320,204,green)
screen:drawLine(320,204,325,51+Mp3me.vis(160),green)
screen:drawLine(325,51+Mp3me.vis(160),330,204,green)
screen:drawLine(330,204,335,51+Mp3me.vis(165),green)
screen:drawLine(335,51+Mp3me.vis(165),340,204,green)
screen:drawLine(340,204,345,51+Mp3me.vis(170),green)
screen:drawLine(345,51+Mp3me.vis(170),350,204,green)
screen:drawLine(350,204,355,51+Mp3me.vis(175),green)
screen:drawLine(355,51+Mp3me.vis(175),360,204,green)
screen:drawLine(360,204,365,51+Mp3me.vis(180),green)
screen:drawLine(365,51+Mp3me.vis(180),370,204,green)
screen:drawLine(370,204,375,51+Mp3me.vis(185),green)
screen:drawLine(375,51+Mp3me.vis(185),380,204,green)
screen:drawLine(380,204,385,51+Mp3me.vis(190),green)
screen:drawLine(385,51+Mp3me.vis(190),390,204,green)
screen:drawLine(390,204,395,51+Mp3me.vis(195),green)
screen:drawLine(395,51+Mp3me.vis(195),400,204,green)
screen:drawLine(400,204,405,51+Mp3me.vis(200),green)
screen:drawLine(405,51+Mp3me.vis(200),410,204,green)
screen:drawLine(410,204,415,51+Mp3me.vis(205),green)
screen:drawLine(415,51+Mp3me.vis(205),420,204,green)
screen:drawLine(420,204,425,51+Mp3me.vis(210),green)
screen:drawLine(425,51+Mp3me.vis(210),430,204,green)
screen:drawLine(430,204,435,51+Mp3me.vis(215),green)
screen:drawLine(435,51+Mp3me.vis(215),440,204,green)
screen:drawLine(440,204,445,51+Mp3me.vis(220),green)
screen:drawLine(445,51+Mp3me.vis(220),450,204,green)
screen:drawLine(450,204,455,51+Mp3me.vis(225),green)
screen:drawLine(455,51+Mp3me.vis(225),460,204,green)
screen:drawLine(460,204,465,51+Mp3me.vis(230),green)
screen:drawLine(465,51+Mp3me.vis(230),470,204,green)
screen:drawLine(470,204,475,51+Mp3me.vis(235),green)
screen:drawLine(475,51+Mp3me.vis(235),480,204,green)





pad = Controls.read()

if pad:r() and not oldpad:r() then
if fbrowser.s < (fbrowser.nf + 1) then
i = fbrowser.s + 1
if i < (fbrowser.nf + 1) then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
fbrowser.s = fbrowser.s + 1
Mp3me.stop()
screen:clear()
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:l() and not oldpad:l() then
if fbrowser.s < (fbrowser.nf + 1) and fbrowser.s > 2 then
i = fbrowser.s - 1
if i < (fbrowser.nf + 1) and i > 2 then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
Mp3me.stop()
screen:clear()
fbrowser.s = fbrowser.s - 1
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:cross() and not oldpad:cross() then
Mp3me.pause()
end

if pad:left() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp32.lua")
end

if pad:right() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp34.lua")
end

if pad:triangle() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/menu.lua")
end


if pad:start() then 
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/script1.lua")
exitMenu()
end


screen.waitVblankStart()
screen.flip()
oldpad = pad
end


